SDL_HINT_VIDEO_WAYLAND_ALLOW_LIBDECOR(3)

NAME
SDL_HINT_VIDEO_WAYLAND_ALLOW_LIBDECOR - A variable controlling whether the libdecor Wayland backend is allowed to be used.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_WAYLAND_ALLOW_LIBDECOR SDL_VIDEO_WAYLAND_ALLOW_LIBDECOR"

DESCRIPTION
libdecor is used over xdg-shell when xdg-decoration protocol is unavailable. The variable can be set to the following values: • "0": libdecor use is disabled. • "1": libdecor use is enabled. (default) This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.